Name:          jamon-processor
Version:       2.4.2
Release:       12%{?dist}
Summary:       Jamon Template Processor
License:       MPLv2.0
URL:           http://www.jamon.org/
# svn export svn://svn.code.sf.net/p/jamon/code/releases/jamon-processor/jamon-processor-2.4.2
# tar cJf jamon-processor-2.4.2.tar.xz jamon-processor-2.4.2
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(org.jamon:jamon-api)
BuildRequires: mvn(org.jamon:jamon-java-parent:pom:)
BuildRequires: mvn(org.jamon:jamon-runtime)
BuildRequires: mvn(org.jamon:jamon-nodegen-plugin)
# Test deps
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildArch:     noarch

%description
Jamon template to java processor.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

sed -i 's|${artifactId}/${version}|${project.artifactId}/${project.version}|' pom.xml

# deprecated method in com.google.common.io.Files & com.google.common.io.Resources
rm -r src/test/java/org/jamon/util/JavaCompilerFactoryTest.java

%mvn_file : %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 05 2015 gil cattaneo <puntogil@libero.it> 2.4.2-4
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.4.2-2
- Use Requires: java-headless rebuild (#1067528)

* Tue Mar 18 2014 Robert Rati <rrati@redhat> - 2.4.2-1
- Update to upstream release 2.4.2

* Thu Sep 26 2013 gil cattaneo <puntogil@libero.it> 2.4.1-1
- initial rpm
